javax.persistence.criteria

## Interface CompoundSelection<X>

Type Parameters:
  `X` - the type of the selection item

All Superinterfaces:
  Selection<X>, TupleElement<X>

    public interface CompoundSelection<X>
    extends Selection<X>

The `CompoundSelection` interface defines a compound selection item (tuple, array, or result of constructor).

Since:
  Java Persistence 2.0

### Method Summary

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`